<?php
require_once( get_stylesheet_directory() . '/lib/meetly-license.php' );
// Load the API Key library if it is not already loaded. Must be placed in the root plugin file.
if (  class_exists( 'Meetly_License_Theme' ) ) {
    /**
     * @param string $file             Must be __FILE__ from the root plugin file, or theme functions file.
     * @param string $software_title   Must be exactly the same as the Software Title in the product.
     * @param string $software_version This product's current software version.
     * @param string $plugin_or_theme  'plugin' or 'theme'
     * @param string $api_url          The URL to the site that is running the API Manager. Example: https://www.toddlahman.com/
     *
     * @return \AM_License_Submenu|null
     */
    Meetly_License_Theme::instance( __FILE__, 'Meetly', '2.0', 'theme', 'https://www.b3multimedia.ie/' );
}  

function elegant_enqueue_css() { wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' ); }

add_action( 'wp_enqueue_scripts', 'elegant_enqueue_css' );

// include Theme Customizer editors;

include ('editor/customizer.php');
include('editor/login-editor.php');


// include tgm plugin activation 

require_once dirname( __FILE__ ) . '/installer/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );

function my_theme_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		// This is an example of how to include a plugin from the WordPress Plugin Repository.
		array(
			'name'      => 'One Click Demo Import',
			'slug'      => 'one-click-demo-import',
			'required'  => true,
		),

	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.

		);

	tgmpa( $plugins, $config );
}


// Import demo content 
function ocdi_import_files() {
    return array(
        array(
            'import_file_name'           => 'Demo Import',
            'import_file_url'            => 'https://divilover.com/demo_import/meetly/meetly-demo-content.xml',
            'import_customizer_file_url' => 'https://divilover.com/demo_import/meetly/meetly-theme-customizer.dat',
            'import_notice'              => __( 'After you import this demo, you will have to install Bloom and import the meetly-bloom-settings.json file if you want to use the Bloom Inline Optin Form as shown in the demo. Navigate to Divi Theme Customizer to change Meetly color scheme.', 'your-textdomain' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );


// After import... 

function ocdi_after_import_setup()
	{

	// Asign Menus
	$main_menu = get_term_by('name', 'Main Menu', 'nav_menu');
	set_theme_mod('nav_menu_locations', array(
		'primary-menu' => $main_menu->term_id,
	));
	
	// Set Front Page from Reading Options
	$front_page_id = get_page_by_title('Home');
	
	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	
	}

add_action('pt-ocdi/after_import', 'ocdi_after_import_setup');